#ifndef _DAHDI_TDMOX_SYSFS_H
#define _DAHDI_TDMOX_SYSFS_H

#define TDMOX_SPANS_MAX 10			/* Maximum SPAN's */
#define TDMOX_CHANS_MAX	256			/* Maximim channels per SPAN */
#define TDMOX_CHANS_STRLEN	128		/* sysfs attribute data length*/
#define TDMOX_ATTR_NAME_STRLEN	16	/* Attribute name length (Span) */
#define TDMOX_CHAN_NAME_STRLEN	16	/* Attribute name length (Chan) */

struct dahdi_dynamic;
struct dahdi_tdmox;

int dahdi_tdmox_sysfs_cfg_ddev(struct dahdi_tdmox *d, int span_id_sysfs);
int dahdi_tdmox_sysfs_init(void);
void dahdi_tdmox_sysfs_cleanup(void);

#endif /* _DAHDI_TDMOX_SYSFS_H */
